Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 

blackwingcat

KernelEx for Win2000

Recommended Posts

tomasz86    68

On my environment regsvr32 propsys.dll work without problem.

Do you have xmllite ?

Installing xmllite.dll doesn't help :} but the problem happens in a VM (VirtualBox) and I can register the file in my real system. I'll try to do more testing.

Share this post


Link to post
Share on other sites
Linktopower    0

@Linktopower

You need to install IE6 SP1 and IE6.0SP1-KB2722913-WINDOWS2000-X86-ENU otherwise it will not install because it relies on those two things.

Okay back with one dumb question? Where can I find those two files^... could you link them please?

Share this post


Link to post
Share on other sites
tomasz86    68

@Linktopower

You need to install IE6 SP1 and IE6.0SP1-KB2722913-WINDOWS2000-X86-ENU otherwise it will not install because it relies on those two things.

Okay back with one dumb question? Where can I find those two files^... could you link them please?

IE6 you can download directly from M$: http://download.microsoft.com/download/ie6sp1/finrel/6_sp1/W98NT42KMeXP/EN-US/ie6setup.exe

and the other update you can find on the Windows 2000 Updates list: http://www.windows2000.tk/updates/

However, it seems that your system is not fully updated. I'd recommend installing at least all available official updates before applying any unofficial patches.

Share this post


Link to post
Share on other sites
Linktopower    0

@Linktopower

You need to install IE6 SP1 and IE6.0SP1-KB2722913-WINDOWS2000-X86-ENU otherwise it will not install because it relies on those two things.

Okay back with one dumb question? Where can I find those two files^... could you link them please?

IE6 you can download directly from M$: http://download.microsoft.com/download/ie6sp1/finrel/6_sp1/W98NT42KMeXP/EN-US/ie6setup.exe

and the other update you can find on the Windows 2000 Updates list: http://www.windows2000.tk/updates/

However, it seems that your system is not fully updated. I'd recommend installing at least all available official updates before applying any unofficial patches.

Alright thanks, and I'm guessing that my Windows 2000 pro SP4 is not up to date at all... Could I install that Microsoft Windows 2000 Unofficial SP 5.1.2195 and will that update my system fully?... (I need to stop asking dumb questions)

Share this post


Link to post
Share on other sites
bphlpt    104
Could I install that Microsoft Windows 2000 Unofficial SP 5.1.2195 and will that update my system fully?... (I need to stop asking dumb questions)

Currently, there is no one single file available, that I know of, that will update your system fully, hence tomasz86's long term goal of coming up with a new Win2k SP. Sorry if I jumped in and misunderstood something. :)

Cheers and Regards

Share this post


Link to post
Share on other sites
Linktopower    0
Could I install that Microsoft Windows 2000 Unofficial SP 5.1.2195 and will that update my system fully?... (I need to stop asking dumb questions)

Currently, there is no one single file available, that I know of, that will update your system fully, hence tomasz86's long term goal of coming up with a new Win2k SP. Sorry if I jumped in and misunderstood something. :)

Cheers and Regards

Oh so that SP5, will not completely update my system, well that's no problem. so no worries. I'll just have update manually update my system then... man this is quite tiring :|

Share this post


Link to post
Share on other sites
tomasz86    68

There is a simple way to update your system if you're lazy. It won't be fully updated but maybe around ~85%.

1. Install Unofficial SP 5.1 (USP5.1)

2. Install Update Rollup 2 (UR2)

3. Install the IE6 update mentioned above.

Then you can install the BlackWingCat's kernel.

Edited by tomasz86

Share this post


Link to post
Share on other sites
Tommy    112

I have tried this and there doesn't seem to be any difference. I do have UR2 installed so I do have Dnsrslvr.dll 5.0.2195.7280, but I tried what it said in that article and it didn't help. However, strangely enough, it seems that if I do an ipconfig /renew, my internet starts working again for a while. If this starts going beyond Kernel extension updates, we can create a new topic about it.

Did you use most recent dns Client ?

dnsrslvr.dll 5.0.2195.7180

http://support.microsoft.com/kb/957579

There is a newer version in

http://www.windows2000.tk/updates/#kb951748

Dnsrslvr.dll 5.0.2195.7280 (included in UR2)

Share this post


Link to post
Share on other sites
Linktopower    0

There is a simple way to update your system if you're lazy. It won't be fully updated but maybe around ~85%.

1. Install Unofficial SP 5.1 (USP5.1)

2. Install Update Rollup 2 (UR2)

3. Install the IE6 update mentioned above.

Then you can install the BlackWingCat's kernel.

So it would work with the Unofficial Service pack, and the Update Rollup now that's easier :), It may sound like I'm lazy, but I'm on dial up. and I'm trying to find a way I can get all the needed files all at one time on some High speed internet. with that said This should work :) thanks!

Share this post


Link to post
Share on other sites
blackwingcat    60

Extended kernel v2.x Minimum requirement is following.

1. Install IE6SP1+ Win2000 SP4 SRP1(Official)

2. Update for Root Certificates For Windows XP [April 2012] (KB931125) (Installed without message)

3. [MS12-052]Cumulative Security Update for Windows 2000 Internet Explorer 6 SP1 (2722913)

Caution: I haven't installed USP5.1 and UR2 in my environment yet.

If you want to try v1.8 kernel, the requirement is IE6 SP1 and SP4 SRP1 only.

There is a simple way to update your system if you're lazy. It won't be fully updated but maybe around ~85%.

1. Install Unofficial SP 5.1 (USP5.1)

2. Install Update Rollup 2 (UR2)

3. Install the IE6 update mentioned above.

Then you can install the BlackWingCat's kernel.

Edited by blackwingcat

Share this post


Link to post
Share on other sites
tomasz86    68
Caution: I don't install USP5.1 and UR2 in my environment.

Have you actually found any issues when your kernel is used with any of the two packages...? Both of them install files from the official updates and hotfixes only.

Edit: I can see that you've edited your post :lol: Please let us know if you do test the packages with your kernel and find any problems.

Edited by tomasz86

Share this post


Link to post
Share on other sites
Tommy    112

I haven't seem to have found any issues except for random explorer.exe crashes once in a great while. Speaking of which, my ISP was telling me that they weren't the problem for all my DNS problems, however, I dialed into a server in another city...and no problems! So, they were lying and there is no problems with the files included in the kernel extensions. But I've been running USP5.1, UR2, and any kernel extension for quite some time now and I haven't seem to run into any major issues.

Edited by SearanoX

Share this post


Link to post
Share on other sites
blackwingcat    60

Plz try to install IE6SP1 QFE Hotfix if you can.

(Check your mshtml.dll version 6.0.2800.1687)

I haven't seem to have found any issues except for random explorer.exe crashes once in a great while. Speaking of which, my ISP was telling me that they weren't the problem for all my DNS problems, however, I dialed into a server in another city...and no problems! So, they were lying and there is no problems with the files included in the kernel extensions. But I've been running USP5.1, UR2, and any kernel extension for quite some time now and I haven't seem to run into any major issues.

Edited by blackwingcat

Share this post


Link to post
Share on other sites
Molecule    0

Hi, Black Wing Cat! I've been watching and dreaming for a while and am finally making the leap ... with lots of help from tomasz86, for rollups and hfslip especially

I'm installing a 2000 system in msi p43neo3, core2duo, 2 gig ddr2, ich10r, p43, gforce 7300 256ddr2, realtek 8111c lan, realtek alc888 with two tiny speakers and 70 meg driver, jmicron fd-pata-sata, ...

Wherever I've found them, I've followed the links to your pages to look for a download ... google can translate everything but the drop down boxes, where I select the os, and chipset and etc.

The computer I'm building is offline so I can't use your automatic system scanner.

Can you post or PM me with direct links for my system ...

KernelEx driver is the main one, so I can run IcemanNDs DriverBackup program -- both versions 0.73 and 2.189 make calls which 2K kernel can't handle ...

the intel XP-driver for ICH10R seems to work fine so far in 2K, and the driver is small so I'm not worried ... but if you suggest something I'll try it ... sata and usb are fast compared to my current system ... sata1 to sata2 is 30m/sec for file transfers under Total Commander, USB is 6-8m/s

is there a smaller "plain vanilla" driver I could use for the realtek sound chip - I have simple 2 audio, voice only, with small speakers

the gForce 7300-256 video driver is kind of heavy and it has this feature where it graps 10% of mainboard memory to make 512m video ram (256 video card +10% of main board memory) ... sounds clunky

until tomasz86 finishes his drivers integrator for hfslip, can nLite integrate your drivers? can they be installed by command line into a running system?

sorry for all the basic noob questions ... I'm delighted that 2k is so alive and well!

thanks ... molecule

Share this post


Link to post
Share on other sites
DanR20    0

Hi blackwingcat, the latest kernel 2.2d breaks Java 7.7 on Firefox nightly as the browser just crashes.

So far I haven't tried the Java 6 version with 2.2d but since kernel 17n and Java 7.7 get along good together I've reinstalled kernel 17n for now.

Edit: the minimum requirements for kernel 2.2d were installed, including the IE6 update and Root. Except for Java everything seemed to work alright.

Edited by DanR20

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Recently Browsing   0 members

    No registered users viewing this page.

×